package wtf.opal.event.impl.game.player.interaction;

import net.fabricmc.api.EnvType;
import net.fabricmc.api.Environment;
import net.minecraft.util.Hand;
import wtf.opal.event.EventCancellable;

@Environment(EnvType.CLIENT)
public final class VisualSwingEvent extends EventCancellable {
   public final Hand hand;

   public VisualSwingEvent(Hand hand) {
      this.hand = hand;
   }

   public Hand getHand() {
      return this.hand;
   }
}
